<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="crazyflie__colored__blob__perspective__camera__default__sensor_8h_source.html">src/plugins/robots/crazyflie/simulator/crazyflie_colored_blob_perspective_camera_default_sensor.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor__inherit__graph.png" border="0" usemap="#aargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_inherit__map" alt="Inheritance graph"/></div>
<map name="aargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_inherit__map" id="aargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_inherit__map">
<area shape="rect" title=" " alt="" coords="93,95,298,151"/>
<area shape="rect" title=" " alt="" coords="5,5,199,47"/>
<area shape="rect" title=" " alt="" coords="223,13,354,39"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor__coll__graph.png" border="0" usemap="#aargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_coll__map" alt="Collaboration graph"/></div>
<map name="aargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_coll__map" id="aargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor_coll__map">
<area shape="rect" title=" " alt="" coords="628,74,833,130"/>
<area shape="rect" title=" " alt="" coords="273,5,466,47"/>
<area shape="rect" title=" " alt="" coords="304,71,435,98"/>
<area shape="rect" href="classargos_1_1CCrazyflieCameraEquippedEntity.html" title=" " alt="" coords="257,123,481,164"/>
<area shape="rect" title=" " alt="" coords="73,130,140,157"/>
<area shape="rect" href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation.html" title=" " alt="" coords="273,188,466,229"/>
<area shape="rect" title=" " alt="" coords="5,188,208,229"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a820a898c12378196442851429591788b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a820a898c12378196442851429591788b">CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a> ()</td></tr>
<tr class="separator:a820a898c12378196442851429591788b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a983c72726647ea975bc1422f63fb4f05"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a983c72726647ea975bc1422f63fb4f05">~CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a> ()</td></tr>
<tr class="separator:a983c72726647ea975bc1422f63fb4f05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac44c6fbe2716e1aee509ac97ec0ef45f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ac44c6fbe2716e1aee509ac97ec0ef45f">SetRobot</a> (CComposableEntity &amp;c_entity)</td></tr>
<tr class="separator:ac44c6fbe2716e1aee509ac97ec0ef45f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae04df2fc124672fe4f6d3aedbf099cc"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#aae04df2fc124672fe4f6d3aedbf099cc">Init</a> (TConfigurationNode &amp;t_tree)</td></tr>
<tr class="separator:aae04df2fc124672fe4f6d3aedbf099cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ce83da2de68a4aaa7116275a6a4f9bc"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a2ce83da2de68a4aaa7116275a6a4f9bc">Update</a> ()</td></tr>
<tr class="separator:a2ce83da2de68a4aaa7116275a6a4f9bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1b75aeaf760bf3584f73c7560c7d033"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ab1b75aeaf760bf3584f73c7560c7d033">Reset</a> ()</td></tr>
<tr class="separator:ab1b75aeaf760bf3584f73c7560c7d033"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae53d16f27a099d89db30e5b0cab0171f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ae53d16f27a099d89db30e5b0cab0171f">Destroy</a> ()</td></tr>
<tr class="separator:ae53d16f27a099d89db30e5b0cab0171f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a32c4346a103375d1ef66d65e65a08b"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a0a32c4346a103375d1ef66d65e65a08b">Enable</a> ()</td></tr>
<tr class="separator:a0a32c4346a103375d1ef66d65e65a08b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeefe631850a60cda55a701ed794fcd91"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#aeefe631850a60cda55a701ed794fcd91">Disable</a> ()</td></tr>
<tr class="separator:aeefe631850a60cda55a701ed794fcd91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc34e2ea9cd48f528c7b4dba96e3f907"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#abc34e2ea9cd48f528c7b4dba96e3f907">IsShowRays</a> ()</td></tr>
<tr class="separator:abc34e2ea9cd48f528c7b4dba96e3f907"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c53044d2617ffcc59a92a72958491a8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a1c53044d2617ffcc59a92a72958491a8">SetShowRays</a> (bool b_show_rays)</td></tr>
<tr class="separator:a1c53044d2617ffcc59a92a72958491a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a86340d1c95102351214dec0a9d88d418"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">CCrazyflieCameraEquippedEntity</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a86340d1c95102351214dec0a9d88d418">m_pcCamEntity</a></td></tr>
<tr class="separator:a86340d1c95102351214dec0a9d88d418"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a408d79f289c16c281e5aae571adf626d"><td class="memItemLeft" align="right" valign="top">CControllableEntity *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a408d79f289c16c281e5aae571adf626d">m_pcControllableEntity</a></td></tr>
<tr class="separator:a408d79f289c16c281e5aae571adf626d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a307fb5d9941c9b3b28afa4d3e9943443"><td class="memItemLeft" align="right" valign="top">CEmbodiedEntity *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a307fb5d9941c9b3b28afa4d3e9943443">m_pcEmbodiedEntity</a></td></tr>
<tr class="separator:a307fb5d9941c9b3b28afa4d3e9943443"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a385afa6f7e15101bc9dfcef852f059fc"><td class="memItemLeft" align="right" valign="top">CPositionalIndex&lt; CLEDEntity &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a385afa6f7e15101bc9dfcef852f059fc">m_pcLEDIndex</a></td></tr>
<tr class="separator:a385afa6f7e15101bc9dfcef852f059fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1308a14520fcf4543d20f69ae267c8a"><td class="memItemLeft" align="right" valign="top">CPositionalIndex&lt; CEmbodiedEntity &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ab1308a14520fcf4543d20f69ae267c8a">m_pcEmbodiedIndex</a></td></tr>
<tr class="separator:ab1308a14520fcf4543d20f69ae267c8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3347a952ac9addce145f69412929243e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation.html">CCrazyfliePerspectiveCameraLEDCheckOperation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a3347a952ac9addce145f69412929243e">m_pcOperation</a></td></tr>
<tr class="separator:a3347a952ac9addce145f69412929243e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78a7f290dc648e51bcf060d83688e972"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a78a7f290dc648e51bcf060d83688e972">m_bShowRays</a></td></tr>
<tr class="separator:a78a7f290dc648e51bcf060d83688e972"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a820a898c12378196442851429591788b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a820a898c12378196442851429591788b">&#9670;&nbsp;</a></span>CCrazyflieColoredBlobPerspectiveCameraDefaultSensor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a983c72726647ea975bc1422f63fb4f05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a983c72726647ea975bc1422f63fb4f05">&#9670;&nbsp;</a></span>~CCrazyflieColoredBlobPerspectiveCameraDefaultSensor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::~CCrazyflieColoredBlobPerspectiveCameraDefaultSensor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae53d16f27a099d89db30e5b0cab0171f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae53d16f27a099d89db30e5b0cab0171f">&#9670;&nbsp;</a></span>Destroy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::Destroy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aeefe631850a60cda55a701ed794fcd91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeefe631850a60cda55a701ed794fcd91">&#9670;&nbsp;</a></span>Disable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::Disable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a32c4346a103375d1ef66d65e65a08b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a32c4346a103375d1ef66d65e65a08b">&#9670;&nbsp;</a></span>Enable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::Enable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aae04df2fc124672fe4f6d3aedbf099cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae04df2fc124672fe4f6d3aedbf099cc">&#9670;&nbsp;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::Init </td>
          <td>(</td>
          <td class="paramtype">TConfigurationNode &amp;&#160;</td>
          <td class="paramname"><em>t_tree</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abc34e2ea9cd48f528c7b4dba96e3f907"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc34e2ea9cd48f528c7b4dba96e3f907">&#9670;&nbsp;</a></span>IsShowRays()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::IsShowRays </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns true if the rays must be shown in the GUI. </p><dl class="section return"><dt>Returns</dt><dd>true if the rays must be shown in the GUI. </dd></dl>

</div>
</div>
<a id="ab1b75aeaf760bf3584f73c7560c7d033"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1b75aeaf760bf3584f73c7560c7d033">&#9670;&nbsp;</a></span>Reset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::Reset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac44c6fbe2716e1aee509ac97ec0ef45f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac44c6fbe2716e1aee509ac97ec0ef45f">&#9670;&nbsp;</a></span>SetRobot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::SetRobot </td>
          <td>(</td>
          <td class="paramtype">CComposableEntity &amp;&#160;</td>
          <td class="paramname"><em>c_entity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1c53044d2617ffcc59a92a72958491a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c53044d2617ffcc59a92a72958491a8">&#9670;&nbsp;</a></span>SetShowRays()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::SetShowRays </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>b_show_rays</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets whether or not the rays must be shown in the GUI. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">b_show_rays</td><td>true if the rays must be shown, false otherwise </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2ce83da2de68a4aaa7116275a6a4f9bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ce83da2de68a4aaa7116275a6a4f9bc">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a78a7f290dc648e51bcf060d83688e972"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78a7f290dc648e51bcf060d83688e972">&#9670;&nbsp;</a></span>m_bShowRays</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_bShowRays</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a86340d1c95102351214dec0a9d88d418"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86340d1c95102351214dec0a9d88d418">&#9670;&nbsp;</a></span>m_pcCamEntity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">CCrazyflieCameraEquippedEntity</a>* argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_pcCamEntity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a408d79f289c16c281e5aae571adf626d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a408d79f289c16c281e5aae571adf626d">&#9670;&nbsp;</a></span>m_pcControllableEntity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CControllableEntity* argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_pcControllableEntity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a307fb5d9941c9b3b28afa4d3e9943443"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a307fb5d9941c9b3b28afa4d3e9943443">&#9670;&nbsp;</a></span>m_pcEmbodiedEntity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CEmbodiedEntity* argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_pcEmbodiedEntity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab1308a14520fcf4543d20f69ae267c8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1308a14520fcf4543d20f69ae267c8a">&#9670;&nbsp;</a></span>m_pcEmbodiedIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CPositionalIndex&lt;CEmbodiedEntity&gt;* argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_pcEmbodiedIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a385afa6f7e15101bc9dfcef852f059fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a385afa6f7e15101bc9dfcef852f059fc">&#9670;&nbsp;</a></span>m_pcLEDIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CPositionalIndex&lt;CLEDEntity&gt;* argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_pcLEDIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3347a952ac9addce145f69412929243e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3347a952ac9addce145f69412929243e">&#9670;&nbsp;</a></span>m_pcOperation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation.html">CCrazyfliePerspectiveCameraLEDCheckOperation</a>* argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor::m_pcOperation</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="crazyflie__colored__blob__perspective__camera__default__sensor_8h_source.html">crazyflie_colored_blob_perspective_camera_default_sensor.h</a></li>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="crazyflie__colored__blob__perspective__camera__default__sensor_8cpp.html">crazyflie_colored_blob_perspective_camera_default_sensor.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
